XMLMessageFormatter (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl.msg

## Class XMLMessageFormatter

- java.lang.Object
- - org.apache.xerces.impl.msg.XMLMessageFormatter

- All Implemented Interfaces:
    MessageFormatter

      public class XMLMessageFormatter
      extends java.lang.Object
      implements MessageFormatter

  XMLMessageFormatter provides error messages for the XML 1.0 Recommendation and for the Namespaces Recommendation
  Version:
    $Id: XMLMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $
  Author:
    Eric Ye, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XML_DOMAIN` The domain of messages concerning the XML 1.0 specification.
    `static java.lang.String` | `XMLNS_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLMessageFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_DOMAIN

          public static final java.lang.String XML_DOMAIN

      The domain of messages concerning the XML 1.0 specification.
      See Also:
        Constant Field Values

    - #### XMLNS_DOMAIN

          public static final java.lang.String XMLNS_DOMAIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLMessageFormatter

          public XMLMessageFormatter()

  - ### Method Detail

    - #### formatMessage

          public java.lang.String formatMessage(java.util.Locale locale,
                                                java.lang.String key,
                                                java.lang.Object[] arguments)
                                         throws java.util.MissingResourceException

      Formats a message with the specified arguments using the given locale information.
      Specified by:
        `formatMessage` in interface `MessageFormatter`
      Parameters:
        `locale` - The locale of the message.
        `key` - The message key.
        `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
      Returns:
        Returns the formatted message.
      Throws:
        `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.